﻿//Control transformation
using Essential.Metamodel;
using Essential.Plugin;

Namespace Plugin
{
    transformation Main()
    {
        PluginDeclaration plugin = Manifest.SampleStructureGenerator;
        EssentialModel    model = Model.model;

        ConvertMetamodel(model, plugin);
    }

    //Entry point
    //Preserve this signature to call the plugin
    transformation ConvertMetamodel(EssentialModel model, PluginDeclaration plugin)
    {
        model > "model.ess";
        plugin > "generator.ess";

        Templates.main(model, plugin) > "output.txt";
    }
}
