﻿//Control transformation
//Syntax:
//ApplyTemplate: [model selector] > [Template] > [Output file];
//M2MTransform:  [model selector] > [Transform] > [Output model];

using TestSuite.Meta;

namespace Sample.Gen
{
    transformation Root()
    {
        T1(TestSuite.Model.P1);
    }

    transformation T1(Project project)
    {
        TextOutput.genProject(project) > "Project.txt";
        XmlOutput.genProject(project)  > "Project.xml";

        //Test modifiers in filename generation
        TextOutput.genProject(project) > "$project.Name; format="uppercase"$.txt";

		Milestone mi = TestSuite.Model.M1;


        if (mi.Bool == false)  
        {
	        TextOutput.genProject(project) > "Project2.txt";
        }

        if (project.Name == "AA")
        {
	        TextOutput.genProject(project) > "Project1y.txt";
        }
        else
        {
	        TextOutput.genProject(project) > "Project1n.txt";
        }

        if (mi.Int <= 13) 
        {
	        TextOutput.genProject(project) > "Project3.txt";
        } 

        if (project.Name != "HA")
        {
	        TextOutput.genProject(project) > "Project4.txt";
        }

        if (project.Name != project.Name)
        {
	        TextOutput.genProject(project) > "Project5.txt";
        }

        if (!false)
        {
	        TextOutput.genProject(project) > "Project6.txt";
        }


    }

}