using Meta.ClassModel;
using Meta.Database;
using Meta.Database.Setting;
using M2M.Model2Database;

namespace Control
{
    transformation Main()
    {
        DatabaseGeneratorSettings sets = Model1.Settings;
        ClassModelRoot model = Model1.Root;

        model > "1. model.ess";  

        Schema sch = DeriveDbSchema(model, sets);

        sch > "2. schema.ess";  //Serialize to disk just to debug it

        DDLCreation.genProject(sch) > "3. create.sql";
    }
}